extends KinematicBody2D


var speed = 2 
var explosionSzene = load("res://Explosion.tscn")


func _ready():
	$AnimatedSprite.play("default")


func _physics_process(delta):
	var beruehrt = move_and_collide(Vector2(0, speed))
	if (beruehrt != null) and beruehrt.get_collider().is_in_group("Player"):
		beruehrt.get_collider().queue_free()
		var explosionInstanz = explosionSzene.instance()
		get_tree().root.add_child(explosionInstanz)
		explosionInstanz.position = beruehrt.get_position()
		explosionInstanz.scale = beruehrt.get_collider().scale * 1.5
		self.queue_free()
		#yield(get_tree().create_timer(0.5), "timeout")
		get_tree().change_scene("res://Verloren.tscn")


func _on_VisibilityNotifier2D_screen_exited():
	self.queue_free()
